﻿
local StoneGateV5 = foundation.createMod();

StoneGateSetPrefix = "STONE_GATE_V5"

StoneGateV5:log("Hello World: StoneGateV5")
--StoneGateV5:logWarning("This is a warning!")
--StoneGateV5:logError("This is an error!")
--StoneGateV5:msgBox("StoneGateV5: Hello there")

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    StoneGateV5:msgBox("StoneGateV5: game version anterior to 1.6")
    return
end
StoneGateV5:msgBox("StoneGateV5: game version" .. foundation.getGameVersion())

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        StoneGateV5:msgBox("StoneGateV5: Unknown mod version")
        return false
    end
    if not foundation.isModEnabled(_id) then
        StoneGateV5:msgBox("StoneGateV5: " .. _name .. " disabled")
        return false
    end
    if not foundation.isModLoaded(_id) then
        StoneGateV5:msgBox("StoneGateV5: Up the position of " .. _name .. " in the mod list of your game")
        return false
    end
    local _myVersion = foundation.getModVersion(_id)
    StoneGateV5:msgBox("StoneGateV5: " .. _name .. " Current version : " .. _myVersion)
    if version.cmp(_myVersion, _minimalVersion) < 0 then
        StoneGateV5:msgBox("StoneGateV5: Please, load the last version of " .. _name)
        return false
    end
    return true
end

-- check all the dependencies
if not checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", "1.2.2") then
    return 
end

StoneGateV5:dofile("scripts/monument.lua")
